# Copyright The OpenTelemetry Authors
# SPDX-License-Identifier: Apache-2.0

module-sets:
  stable:
    version: v1.39.0
    modules:
      - go.opentelemetry.io/collector/client
      - go.opentelemetry.io/collector/featuregate
      - go.opentelemetry.io/collector/pdata
      - go.opentelemetry.io/collector/component
      - go.opentelemetry.io/collector/confmap
      - go.opentelemetry.io/collector/confmap/provider/envprovider
      - go.opentelemetry.io/collector/confmap/provider/fileprovider
      - go.opentelemetry.io/collector/confmap/provider/httpprovider
      - go.opentelemetry.io/collector/confmap/provider/httpsprovider
      - go.opentelemetry.io/collector/confmap/provider/yamlprovider
      - go.opentelemetry.io/collector/config/configopaque
      - go.opentelemetry.io/collector/config/configcompression
      - go.opentelemetry.io/collector/config/configretry
      - go.opentelemetry.io/collector/config/configtls
      - go.opentelemetry.io/collector/config/confignet
      - go.opentelemetry.io/collector/consumer
      - go.opentelemetry.io/collector/extension
      - go.opentelemetry.io/collector/extension/extensionauth
      - go.opentelemetry.io/collector/pipeline
      - go.opentelemetry.io/collector/processor
      - go.opentelemetry.io/collector/receiver
  beta:
    version: v0.133.0
    modules:
      - go.opentelemetry.io/collector
      - go.opentelemetry.io/collector/internal/memorylimiter
      - go.opentelemetry.io/collector/internal/fanoutconsumer
      - go.opentelemetry.io/collector/internal/sharedcomponent
      - go.opentelemetry.io/collector/internal/telemetry
      - go.opentelemetry.io/collector/cmd/builder
      - go.opentelemetry.io/collector/cmd/mdatagen
      - go.opentelemetry.io/collector/component/componentstatus
      - go.opentelemetry.io/collector/component/componenttest
      - go.opentelemetry.io/collector/confmap/xconfmap
      - go.opentelemetry.io/collector/config/configauth
      - go.opentelemetry.io/collector/config/configgrpc
      - go.opentelemetry.io/collector/config/confighttp
      - go.opentelemetry.io/collector/config/confighttp/xconfighttp
      - go.opentelemetry.io/collector/config/configmiddleware
      - go.opentelemetry.io/collector/config/configtelemetry
      - go.opentelemetry.io/collector/config/configoptional
      - go.opentelemetry.io/collector/connector
      - go.opentelemetry.io/collector/connector/connectortest
      - go.opentelemetry.io/collector/connector/forwardconnector
      - go.opentelemetry.io/collector/connector/xconnector
      - go.opentelemetry.io/collector/consumer/xconsumer
      - go.opentelemetry.io/collector/consumer/consumererror
      - go.opentelemetry.io/collector/consumer/consumererror/xconsumererror
      - go.opentelemetry.io/collector/consumer/consumertest
      - go.opentelemetry.io/collector/exporter
      - go.opentelemetry.io/collector/exporter/debugexporter
      - go.opentelemetry.io/collector/exporter/exporterhelper/xexporterhelper
      - go.opentelemetry.io/collector/exporter/exportertest
      - go.opentelemetry.io/collector/exporter/nopexporter
      - go.opentelemetry.io/collector/exporter/otlpexporter
      - go.opentelemetry.io/collector/exporter/otlphttpexporter
      - go.opentelemetry.io/collector/exporter/xexporter
      - go.opentelemetry.io/collector/extension/extensionauth/extensionauthtest
      - go.opentelemetry.io/collector/extension/extensioncapabilities
      - go.opentelemetry.io/collector/extension/extensionmiddleware
      - go.opentelemetry.io/collector/extension/extensionmiddleware/extensionmiddlewaretest
      - go.opentelemetry.io/collector/extension/extensiontest
      - go.opentelemetry.io/collector/extension/zpagesextension
      - go.opentelemetry.io/collector/extension/memorylimiterextension
      - go.opentelemetry.io/collector/extension/xextension
      - go.opentelemetry.io/collector/otelcol
      - go.opentelemetry.io/collector/otelcol/otelcoltest
      - go.opentelemetry.io/collector/pdata/pprofile
      - go.opentelemetry.io/collector/pdata/testdata
      - go.opentelemetry.io/collector/pdata/xpdata
      - go.opentelemetry.io/collector/pipeline/xpipeline
      - go.opentelemetry.io/collector/processor/processortest
      - go.opentelemetry.io/collector/processor/processorhelper
      - go.opentelemetry.io/collector/processor/batchprocessor
      - go.opentelemetry.io/collector/processor/memorylimiterprocessor
      - go.opentelemetry.io/collector/processor/processorhelper/xprocessorhelper
      - go.opentelemetry.io/collector/processor/xprocessor
      - go.opentelemetry.io/collector/receiver/receiverhelper
      - go.opentelemetry.io/collector/receiver/nopreceiver
      - go.opentelemetry.io/collector/receiver/otlpreceiver
      - go.opentelemetry.io/collector/receiver/receivertest
      - go.opentelemetry.io/collector/receiver/xreceiver
      - go.opentelemetry.io/collector/scraper
      - go.opentelemetry.io/collector/scraper/scraperhelper
      - go.opentelemetry.io/collector/scraper/scrapertest
      - go.opentelemetry.io/collector/service
      - go.opentelemetry.io/collector/service/hostcapabilities
      - go.opentelemetry.io/collector/filter

excluded-modules:
  - go.opentelemetry.io/collector/cmd/otelcorecol
  - go.opentelemetry.io/collector/internal/cmd/pdatagen
  - go.opentelemetry.io/collector/internal/e2e
  - go.opentelemetry.io/collector/internal/tools
  - go.opentelemetry.io/collector/confmap/internal/e2e
